3.0 to 3.2 Update error "required module info file missing"

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Post Reply
chriket
Registered User
Posts: 19
Joined: Thu Dec 13, 2007 10:21 pm

3.0 to 3.2 Update error "required module info file missing"

Post by chriket » Sun Jul 02, 2017 8:04 am

Hello

I'm trying to bring a phpBB forum 3.0.2 to 3.2

I'm following the official method described here
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

I have done everything and I reached the steps
4 Select "Update database only" and click Submit
5 Wait for the progress bar to reach 100% and for a message indicating that the update has completed


I checked submit and everything seems to work fine until the process stops and I get this message on a red background:
A required module info file is missing: acp_send_statistics

The last lines displayed on the update log are:
Reverting Schema: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Installing Data: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Installed Schema: \phpbb\db\migration\data\v30x\release_3_0_6_rc1; Time: 23.93 seconds
Installing Schema: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
In addition, 2 error lines appeared at the top of the log (not sure it's the same issue or not):
[phpBB Debug] "Undefined variable: errored" in file[...]/ww\forums\phpbb\db\migration\data\v30x\release_3_0_4_rc1.php on line 124
[phpBB Debug] "Undefined variable: error_ary" in file [...]\www\forums\phpbb\db\migration\data\v30x\release_3_0_4_rc1.php on line 124
Could anyone kindly help or has an idea?

Thank you :)

chriket
Registered User
Posts: 19
Joined: Thu Dec 13, 2007 10:21 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by chriket » Sun Jul 02, 2017 10:30 am

Answering to myself to help the Community.

The official method about 3.0 to 3.2 is incomplete at least for some situations (maybe not always): so here is how to do it if you have issues.

Actually, it seems you first need to upgrade to at least 3.14. And ONLY THEN use the 3.0 to 3.2 official method which is here https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

The reason is explained here viewtopic.php?p=14655761#p14655761
Isn't possible to go straight from 3.0.4 to 3.2.0, there are various factors to be taken in consideration behind the scene, as a front end user though you should update first 3.0.4 to 3.0.14.
https://download.phpbb.com/pub/release/ ... 3.0.14.zip
(suggested flowchart, to be quite sure everything will be alright)

One of the reasons is why the acp_send_statistics has been added in 3.0.6-rc1.

The above mentioned module has been removed since 3.2.0-rc1 in favour of acp_help_phpbb, the migration is trying to delete that module, is not able to find it and that's why the error as per above.
As a matter of fact those files aren't present in 3.2.0 GOLD at all. (Are still in 3.2.0-rc1 though)

Where are the upgrade packs ?

Here : https://download.phpbb.com/pub/release/3.0/update/


So what to do?

A) If your version is 3.14 and above
Use the official method here, directly
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

B) If your version is at least 3.04 but lower than 3.14
Use the 3.04 to 3.14 pack here
https://download.phpbb.com/pub/release/ ... 3.0.14.zip

Then use the official method described in A)

C) If your version is lower than 3.04
Use the appropriate upgrade packs to get to 3.04
https://download.phpbb.com/pub/release/3.0/update/

Then use the 3.04 to 3.14 method described in B)
Then, once you are at 3.14, use official method described in A)

And, at the end you should be running 3.2.

I'll try now and confirm as soon as possible it works from 3.0.2 to 3.2
Last edited by chriket on Mon Jul 03, 2017 2:57 pm, edited 1 time in total.

Toxyy
Registered User
Posts: 323
Joined: Mon Oct 24, 2016 3:22 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by Toxyy » Mon Jul 03, 2017 2:38 am

That's not necessarily true. I've updated from 3.0 to 3.2 directly with no problems on multiple sites. I've since found another way to do so, but the only times I've had to upgrade to 3.1.x first is when updating to 3.2 would give me a timeout error in the updater.
I am a web developer/administrator, specializing in forums. If you have work you need done or are too lazy to do, pm me!

chriket
Registered User
Posts: 19
Joined: Thu Dec 13, 2007 10:21 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by chriket » Mon Jul 03, 2017 2:50 pm

Maybe there are favorable exceptions, good for the users who have them, which wouldn't be surprising considering the complexity of the tasks to perform.

Although it sounds strange to me that the error caused by the absence of the acp_send_statistics file doesn't occur each time.

As I quoted, other people encountered issues (viewtopic.php?p=14655761#p14655761) so let's offer methods and gather information in the hope we can help everyone and "solve" all cases. :)

So far, though, I encountered the same issue with another install. I can't say yet about others to come.

Toxyy
Registered User
Posts: 323
Joined: Mon Oct 24, 2016 3:22 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by Toxyy » Mon Jul 03, 2017 2:54 pm

Like I said, when I have these issues I change the php timeout settings and usually everything works fine. Any other issues I've had are because I didn't properly clean the database or a file transfer corrupted.
I am a web developer/administrator, specializing in forums. If you have work you need done or are too lazy to do, pm me!

chriket
Registered User
Posts: 19
Joined: Thu Dec 13, 2007 10:21 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by chriket » Tue Jul 04, 2017 1:58 pm

Then, for some reason, you don't have the issue some others encountered, good for you. :)

Your timeout comes from your hosting company. Common issue. It's not a phpBB issue per se. Hosting companies set a maximum execution time for scripts that is usually not very generous (but makes sense from their standpoint).

If you're running on your own servers, you can change your configuration.

Now, it's true that some conversions or such procedures by phpBB are designed to be run as a single operation that can be quite long and heavy, and it would be nice to have them handled otherwise by design. :)

Toxyy
Registered User
Posts: 323
Joined: Mon Oct 24, 2016 3:22 pm

Re: 3.0 to 3.2 Update error "required module info file missing"

Post by Toxyy » Tue Jul 04, 2017 2:08 pm

I just change the local values with a .user.ini/php.ini/.htaccess if I can't change them in the cpanel to get around that.
I am a web developer/administrator, specializing in forums. If you have work you need done or are too lazy to do, pm me!

Post Reply

Return to “[3.2.x] Convertors”

Who is online

Users browsing this forum: No registered users and 2 guests

cron